GDAL

- Main Page
- Related Pages
- Classes
- Files
- Download
- Issue Tracker

OGR Utility Programs

A collection of OGR related programs.

The following utilities are distributed as part of the OGR Simple Features toolkit:

- ogrinfo - Lists information about an OGR supported data source
- ogr2ogr - Converts simple features data between file formats
- ogrtindex - Creates a tileindex
- ogrlineref - Create linear reference and provide some calculations using it
- ogrmerge.py - Merge several vector datasets into a single one

# General Command Line Switches

All GDAL OGR command line utility programs support the following "general" options.

--version

  Report the version of GDAL and exit.

--formats

  List all vector formats supported by this GDAL build (read-only and read-write) and exit. The format support is indicated as follows: 'ro' is read-only driver; 'rw' is read or write (i.e. supports CreateCopy); 'rw+' is read, write and update (i.e. supports Create). A 'v' is appended for formats supporting virtual IO (/vsimem, /vsigzip, /vsizip, etc). A 's' is appended for formats supporting subdatasets.

--format format

  List detailed information about a single format driver. The format should be the short name reported in the --formats list, such as GML.

--optfile file

  Read the named file and substitute the contents into the command line options list. Lines beginning with # will be ignored. Multi-word arguments may be kept together with double quotes.

--config key value

  Sets the named configuration keyword to the given value, as opposed to setting them as environment variables. Some common configuration keywords are SHAPE_ENCODING (force shapefile driver to read DBF files with the given character encoding) and CPL_TEMPDIR (define the location of temporary files). Individual drivers may be influenced by other configuration options.

--debug value

  Control what debugging messages are emitted. A value of ON will enable all debug messages. A value of OFF will disable all debug messages. Another value will select only debug messages containing that string in the debug prefix code.

--help-general

  Gives a brief usage message for the generic GDAL OGR command line options and exit.

Generated for GDAL by 1.8.9.1.